const express = require('express');

const api = express();

const enrollment = require('./enrollment');

const state = require('./state');

const region = require('./region');

const city = require('./city');

const school = require('./school');

const simulation = require('./simulation');

api.get('/api/v1', (req, res) => {
    res.json({ msg: 'SimCAQ API is running' });
});

// mount API routes
api.use('/api/v1/enrollment', enrollment);
api.use('/api/v1/state', state);
api.use('/api/v1/region', region);
api.use('/api/v1/city', city);
api.use('/api/v1/school', school);
api.use('/api/v1/simulation', simulation);

module.exports = api;
